<?php
session_start();
if( $_SESSION["user"] == "" || $_SESSION["passwd"] == "" ) {
//   header("Location: index.php");
}

$id_empresa = $_SESSION["id_empresa"];

$mode = isset($_POST['mode']) ? $_POST["mode"]  : "";
$id = isset($_POST['id']) ? $_POST["id"]  : "";

if( $mode != "delete" ) {
   $empresa = isset($_POST['empresa']) ? $_POST["empresa"]  : "";
   $direccion = isset($_POST['direccion']) ? $_POST['direccion'] : "";
   $contacto = isset($_POST['contacto']) ? $_POST['contacto'] : "";
   $telefonos = isset($_POST['telefonos']) ? $_POST['telefonos'] : "";
   $correo = isset($_POST['correo']) ? $_POST['correo'] : "";
   $cuit = isset($_POST['cuit']) ? $_POST['cuit'] : "";
   $ib = isset($_POST['ib']) ? $_POST['ib'] : "";
   $observa = isset($_POST['observaciones']) ? $_POST['observaciones'] : "";
   $condicion = isset($_POST['condicion']) ? $_POST['condicion'] : "";
}

include_once('db_config.php');
ini_set('max_execution_time', 120);

   switch( $mode ) {
      case "update":
         $sql = sprintf( "update empresas set direccion='%s', contacto='%s', telefonos='%s', mail='%s', cuit='%s', ib='%s', tipo_iva='%s', observa='%s' where id = '%s'",
                         $direccion, $contacto, $telefonos, $correo, $cuit, $ib, $condicion, $observa, $id );
         $result = $conn->query($sql);
         mysqli_free_result( $result );
         echo "{\"status\":\"Ok\" }";
         break;

      case "append":
         $sql = sprintf( "insert into empresas(`Id`,`nombre`,`direccion`,`contacto`,`telefonos`,`mail`,`cuit`,`ib`,`tipo_iva`,`observa`) VALUES(0,'%s','%s','%s','%s','%s','%s','%s','%s','%s')", 
                         $empresa, $direccion, $contacto, $telefonos, $correo, $cuit, $ib, $condicion, $observa );
//          echo $sql . "<br/>";
          $result = $conn->query($sql);
          mysqli_free_result( $result );    
          echo "{\"status\":\"Ok\" }";
          break;

      case "delete":
          $sql = sprintf( "delete from empresas  where id='%s'", $id );
//       echo $sql . "<br/>";
          $result = $conn->query($sql);
          mysqli_free_result( $result );    
          echo "{\"status\":\"Ok\" }";
          break;
   }     
   mysqli_close($conn);
?>


